Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBYUReader Class Reference

`#include <vtkBYUReader.h>`

Inheritance diagram for vtkBYUReader:

[legend]
Collaboration diagram for vtkBYUReader:

[legend]
List of all members.

## Detailed Description

read MOVIE.BYU polygon files

Date:
  2002/10/04 16:53:59

Revision:
  1.44

vtkBYUReader is a source object that reads MOVIE.BYU polygon files. These files consist of a geometry file (.g), a scalar file (.s), a displacement or vector file (.d), and a 2D texture coordinate file (.t).

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (69%)
  - Martin, Ken (9%)
  - Miller, Jim (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkBYUReader.cxx)`
  - .`h` (`/IO/vtkBYUReader.h)`

Examples:
  vtkBYUReader (Examples)

Tests:
  vtkBYUReader (Tests)

Definition at line 51 of file vtkBYUReader.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetGeometryFileName (const char *)
virtual char * | GetGeometryFileName ()
virtual void | SetFileName (const char *f)
virtual char * | GetFileName ()
virtual void | SetDisplacementFileName (const char *)
virtual char * | GetDisplacementFileName ()
virtual void | SetScalarFileName (const char *)
virtual char * | GetScalarFileName ()
virtual void | SetTextureFileName (const char *)
virtual char * | GetTextureFileName ()
virtual void | SetReadDisplacement (int)
virtual int | GetReadDisplacement ()
virtual void | ReadDisplacementOn ()
virtual void | ReadDisplacementOff ()
virtual void | SetReadScalar (int)
virtual int | GetReadScalar ()
virtual void | ReadScalarOn ()
virtual void | ReadScalarOff ()
virtual void | SetReadTexture (int)
virtual int | GetReadTexture ()
virtual void | ReadTextureOn ()
virtual void | ReadTextureOff ()
virtual void | SetPartNumber (int)
virtual int | GetPartNumber ()
## Static Public Methods
vtkBYUReader * | New ()
int | IsTypeOf (const char *type)
vtkBYUReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBYUReader ()
| ~vtkBYUReader ()
void | Execute ()
int | ComputeDivisionExtents (vtkDataObject *output, int idx, int numDivisions)
void | ReadGeometryFile (FILE *fp, int &numPts)
void | ReadDisplacementFile (int numPts)
void | ReadScalarFile (int numPts)
void | ReadTextureFile (int numPts)
## Protected Attributes
char * | GeometryFileName
char * | DisplacementFileName
char * | ScalarFileName
char * | TextureFileName
int | ReadDisplacement
int | ReadScalar
int | ReadTexture
int | PartNumber

## Member Typedef Documentation

typedef vtkPolyDataSource vtkBYUReader::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 56 of file vtkBYUReader.h.

## Constructor & Destructor Documentation

vtkBYUReader::vtkBYUReader | ( |  | ) | `[protected]`

vtkBYUReader::~vtkBYUReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkBYUReader* vtkBYUReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkBYUReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkBYUReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkBYUReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkBYUReader* vtkBYUReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkBYUReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkBYUReader::SetGeometryFileName | ( | const char * |  | ) | `[virtual]`

| Specify name of geometry FileName.

virtual char* vtkBYUReader::GetGeometryFileName | ( |  | ) | `[virtual]`

| Specify name of geometry FileName.

virtual void vtkBYUReader::SetFileName | ( | const char * | f | ) | `[inline, virtual]`

| Specify name of geometry FileName (alias). Definition at line 67 of file vtkBYUReader.h.

virtual char* vtkBYUReader::GetFileName | ( |  | ) | `[inline, virtual]`

| Specify name of geometry FileName (alias). Definition at line 68 of file vtkBYUReader.h.

virtual void vtkBYUReader::SetDisplacementFileName | ( | const char * |  | ) | `[virtual]`

| Specify name of displacement FileName.

virtual char* vtkBYUReader::GetDisplacementFileName | ( |  | ) | `[virtual]`

| Specify name of displacement FileName.

virtual void vtkBYUReader::SetScalarFileName | ( | const char * |  | ) | `[virtual]`

| Specify name of scalar FileName.

virtual char* vtkBYUReader::GetScalarFileName | ( |  | ) | `[virtual]`

| Specify name of scalar FileName.

virtual void vtkBYUReader::SetTextureFileName | ( | const char * |  | ) | `[virtual]`

| Specify name of texture coordinates FileName.

virtual char* vtkBYUReader::GetTextureFileName | ( |  | ) | `[virtual]`

| Specify name of texture coordinates FileName.

virtual void vtkBYUReader::SetReadDisplacement | ( | int |  | ) | `[virtual]`

| Turn on/off the reading of the displacement file.

virtual int vtkBYUReader::GetReadDisplacement | ( |  | ) | `[virtual]`

| Turn on/off the reading of the displacement file.

virtual void vtkBYUReader::ReadDisplacementOn | ( |  | ) | `[virtual]`

| Turn on/off the reading of the displacement file.

virtual void vtkBYUReader::ReadDisplacementOff | ( |  | ) | `[virtual]`

| Turn on/off the reading of the displacement file.

virtual void vtkBYUReader::SetReadScalar | ( | int |  | ) | `[virtual]`

| Turn on/off the reading of the scalar file.

virtual int vtkBYUReader::GetReadScalar | ( |  | ) | `[virtual]`

| Turn on/off the reading of the scalar file.

virtual void vtkBYUReader::ReadScalarOn | ( |  | ) | `[virtual]`

| Turn on/off the reading of the scalar file.

virtual void vtkBYUReader::ReadScalarOff | ( |  | ) | `[virtual]`

| Turn on/off the reading of the scalar file.

virtual void vtkBYUReader::SetReadTexture | ( | int |  | ) | `[virtual]`

| Turn on/off the reading of the texture coordinate file. Specify name of geometry FileName.

virtual int vtkBYUReader::GetReadTexture | ( |  | ) | `[virtual]`

| Turn on/off the reading of the texture coordinate file. Specify name of geometry FileName.

virtual void vtkBYUReader::ReadTextureOn | ( |  | ) | `[virtual]`

| Turn on/off the reading of the texture coordinate file. Specify name of geometry FileName.

virtual void vtkBYUReader::ReadTextureOff | ( |  | ) | `[virtual]`

| Turn on/off the reading of the texture coordinate file. Specify name of geometry FileName.

virtual void vtkBYUReader::SetPartNumber | ( | int |  | ) | `[virtual]`

| Set/Get the part number to be read.

virtual int vtkBYUReader::GetPartNumber | ( |  | ) | `[virtual]`

| Set/Get the part number to be read.

void vtkBYUReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkBYUReader::ComputeDivisionExtents | ( | vtkDataObject * | output,
|  | int | idx,
|  | int | numDivisions
| ) | `[protected]`

void vtkBYUReader::ReadGeometryFile | ( | FILE * | fp,
|  | int & | numPts
| ) | `[protected]`

void vtkBYUReader::ReadDisplacementFile | ( | int | numPts | ) | `[protected]`

void vtkBYUReader::ReadScalarFile | ( | int | numPts | ) | `[protected]`

void vtkBYUReader::ReadTextureFile | ( | int | numPts | ) | `[protected]`

## Member Data Documentation

char* vtkBYUReader::GeometryFileName`[protected]`

| Definition at line 126 of file vtkBYUReader.h.

char* vtkBYUReader::DisplacementFileName`[protected]`

| Definition at line 127 of file vtkBYUReader.h.

char* vtkBYUReader::ScalarFileName`[protected]`

| Definition at line 128 of file vtkBYUReader.h.

char* vtkBYUReader::TextureFileName`[protected]`

| Definition at line 129 of file vtkBYUReader.h.

int vtkBYUReader::ReadDisplacement`[protected]`

| Definition at line 130 of file vtkBYUReader.h.

int vtkBYUReader::ReadScalar`[protected]`

| Definition at line 131 of file vtkBYUReader.h.

int vtkBYUReader::ReadTexture`[protected]`

| Definition at line 132 of file vtkBYUReader.h.

int vtkBYUReader::PartNumber`[protected]`

| Definition at line 133 of file vtkBYUReader.h.

The documentation for this class was generated from the following file:

- IO/vtkBYUReader.h